Package org.jbpm.process.audit

## Class AuditQueryCriteriaUtil

- java.lang.Object
- - org.jbpm.query.jpa.impl.QueryCriteriaUtil
  - - org.jbpm.process.audit.AuditQueryCriteriaUtil

-     public class AuditQueryCriteriaUtil
      extends org.jbpm.query.jpa.impl.QueryCriteriaUtil

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>>` | `criteriaAttributes` |
    `protected JPAService` | `jpaService` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AuditQueryCriteriaUtil​(Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>> criteriaAttributes, JPAService service)` | This protected constructor is used in the kie-remote-services module
    `` | `AuditQueryCriteriaUtil​(JPAService service)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `closeEntityManager​(javax.persistence.EntityManager em, Object transaction)` |
    `protected <T> List<T>` | `createQueryAndCallApplyMetaCriteriaAndGetResult​(org.jbpm.query.jpa.data.QueryWhere queryWhere, javax.persistence.criteria.CriteriaQuery<T> criteriaQuery, javax.persistence.criteria.CriteriaBuilder builder)` |
    `protected javax.persistence.criteria.CriteriaBuilder` | `getCriteriaBuilder()` |
    `protected javax.persistence.EntityManager` | `getEntityManager()` |
    `protected <R,​T> javax.persistence.criteria.Predicate` | `implSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<R> query, javax.persistence.criteria.CriteriaBuilder builder, Class queryType, org.jbpm.query.jpa.data.QueryCriteria criteria, org.jbpm.query.jpa.data.QueryWhere queryWhere)` |
    `protected boolean` | `initializeCriteriaAttributes()` |
    `protected Object` | `joinTransaction​(javax.persistence.EntityManager em)` |
    `static <Q,​T> javax.persistence.criteria.Predicate` | `variableInstanceLogSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<Q> query, javax.persistence.criteria.CriteriaBuilder builder, org.jbpm.query.jpa.data.QueryCriteria criteria, javax.persistence.criteria.Root<T> table)` |

    - ### Methods inherited from class org.jbpm.query.jpa.impl.QueryCriteriaUtil

      `addCriteria, addCriteria, applyMetaCriteriaToQuery, basicCreatePredicateFromSingleCriteria, convertListToInterfaceList, convertRegexToJPALikeExpression, defaultGetEntityField, doCriteriaQuery, fillCriteriaQuery, getCriteriaAttributes, getEntityField, getOrderByExpression, getRoot, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### criteriaAttributes

          public static final Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>> criteriaAttributes

    - #### jpaService

          protected JPAService jpaService

  - ### Constructor Detail

    - #### AuditQueryCriteriaUtil

          public AuditQueryCriteriaUtil​(JPAService service)

    - #### AuditQueryCriteriaUtil

          protected AuditQueryCriteriaUtil​(Map<Class,​Map<String,​javax.persistence.metamodel.Attribute>> criteriaAttributes,
                                           JPAService service)

      This protected constructor is used in the kie-remote-services module
      Parameters:
        `criteriaAttributes` -
        `service` -

  - ### Method Detail

    - #### initializeCriteriaAttributes

          protected boolean initializeCriteriaAttributes()

      Specified by:
        `initializeCriteriaAttributes` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### getEntityManager

          protected javax.persistence.EntityManager getEntityManager()

    - #### joinTransaction

          protected Object joinTransaction​(javax.persistence.EntityManager em)

    - #### closeEntityManager

          protected void closeEntityManager​(javax.persistence.EntityManager em,
                                            Object transaction)

    - #### getCriteriaBuilder

          protected javax.persistence.criteria.CriteriaBuilder getCriteriaBuilder()

      Specified by:
        `getCriteriaBuilder` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### createQueryAndCallApplyMetaCriteriaAndGetResult

          protected <T> List<T> createQueryAndCallApplyMetaCriteriaAndGetResult​(org.jbpm.query.jpa.data.QueryWhere queryWhere,
                                                                                javax.persistence.criteria.CriteriaQuery<T> criteriaQuery,
                                                                                javax.persistence.criteria.CriteriaBuilder builder)

      Specified by:
        `createQueryAndCallApplyMetaCriteriaAndGetResult` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### implSpecificCreatePredicateFromSingleCriteria

          protected <R,​T> javax.persistence.criteria.Predicate implSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<R> query,
                                                                                                                   javax.persistence.criteria.CriteriaBuilder builder,
                                                                                                                   Class queryType,
                                                                                                                   org.jbpm.query.jpa.data.QueryCriteria criteria,
                                                                                                                   org.jbpm.query.jpa.data.QueryWhere queryWhere)

      Specified by:
        `implSpecificCreatePredicateFromSingleCriteria` in class `org.jbpm.query.jpa.impl.QueryCriteriaUtil`

    - #### variableInstanceLogSpecificCreatePredicateFromSingleCriteria

          public static <Q,​T> javax.persistence.criteria.Predicate variableInstanceLogSpecificCreatePredicateFromSingleCriteria​(javax.persistence.criteria.CriteriaQuery<Q> query,
                                                                                                                                      javax.persistence.criteria.CriteriaBuilder builder,
                                                                                                                                      org.jbpm.query.jpa.data.QueryCriteria criteria,
                                                                                                                                      javax.persistence.criteria.Root<T> table)